#ifndef PATTERNSETITEM_H
#define PATTERNSETITEM_H

#include <QObject>

class PatternSetItem : public QObject
{
    Q_OBJECT
public:
    explicit PatternSetItem(QObject *parent = 0);

    ~PatternSetItem();

public:
    PatternSetItem(const PatternSetItem & item);
    PatternSetItem & operator= (const PatternSetItem & item);

public:
    void clean();

private:
    void copyData(const PatternSetItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_enumFunction;     // 对应的事件的枚举值

signals:

public slots:
};

#endif // PATTERNSETITEM_H
